Application: gvSIG desktop - gvSIG bugs #5343
Filtro avanzado: Error al cargar una tabla CSV exportada desde el filtro avanzado
07/14/2020 06:17 PM - Mario Carrera

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Oscar Martinez

Category: Document table

Target version: 2.5.1-3037

Severity: Minor Add-on version:

gvSIG version: 2.51 Add-on build:

gvSIG build: 3026 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:

Has patch: Hito:

Add-on name: Unknown

Description

He exportado un filtro (por ejemplo CARRETERA = CV-700) a CSV, con unos pocos campos incluyendo el campo "MAPA". He
dejado todos los parametros por defecto salvo el nombre del fichero y los campos.

Al cargar dicha tabla da error.

Adjunto log y tabla exportada.

History

#1 - 09/04/2020 01:29 PM - Mario Carrera
- Target version set to 2.5.1-3042-RC2
- Assignee set to Oscar Martinez

Anado mas informacion:

He detectado que es porque he marcado que exporte el campo Fecha. Al cargar después el CSV exportado es cuando salta el error (si no exporto el

campo Fecha se carga bien).

Sigue ocurriendo en el BN 3033.

#2 - 09/27/2020 06:07 PM - Oscar Martinez
- Target version changed from 2.5.1-3042-RC2 to 2.5.1-3037
- Status changed from New to Fixed

Hicimos correcciones en los csv que deberion de afectar este ticket, no consigo replicarlo y funciona correctamente con el campo fecha.

#3 - 09/27/2020 07:23 PM - Oscar Martinez

El csv adjunto se puede cargar correctamente si se establece el locale de Inglaterra.
#4 - 09/29/2020 06:21 PM - Mario Carrera
- Status changed from Fixed to New
- File gvSIG.log added

Cierro el ticket, ya se carga como tabla.

#5 - 09/29/2020 06:21 PM - Mario Carrera
- Status changed from New to Closed

Files

tabl3.csv 12.2 KB 07/14/2020 Mario Carrera

tabl3.dal 18.4 KB 07/14/2020 Mario Carrera

gvSIG.log 261 KB 07/14/2020 Mario Carrera

gvSIG.log.1 514 KB 07/14/2020 Mario Carrera

gvSIG.log 450 KB 09/29/2020 Mario Carrera
